> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Create a Meeting

`POST https://api.pagerduty.com/integration-ms-teams/incidents/{incident_id}/meeting`

Creates a meeting in Microsoft Teams and attaches it to the conference bridge details of the Incident.

> ### Important
>
>  Make sure that your PagerDuty account is connected to your MS Teams team and your
>  PagerDuty user is linked to your MS Teams user. You can do this on the MS Teams
>  add-on page in your PagerDuty account or by interacting with the PagerDuty bot
>  in Microsoft Teams.
>
>  Also, to create meetings you have to be authorized in Microsoft Graph. Type
>  `graphAuth` in a personal chat with the PagerDuty bot to pass the authorization.

## Authorization

- **apiKey** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `incident_id` | string | yes | PagerDuty Incident ID. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Request body (`application/json`)

| Field | Type | Required | Description |
|---|---|---|---|
| `mst_team_id` | string | yes | ID of a Microsoft Teams team that is connected to PagerDuty. |
| `meeting` | object |  | Details of a meeting to be created in Microsoft Teams. |
| `meeting.name` | string |  | Default: `Incident title`. |

Example: Request Example

```json
{
  "mst_team_id": "19:TjtRuEN_HvOh-WspuZRFl6o4SaKgQO_wuA1qGdxQ1VU1@thread.tacv2",
  "meeting": {
    "name": "Server Room is on Fire"
  }
}
```

## Response 201

Returns details of the meeting created in Microsoft Teams.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `meeting` | object | yes | Microsoft Teams meeting details. |
| `meeting.name` | string |  |  |
| `meeting.url` | string |  |  |

Example: Response Example

```json
{
  "meeting": {
    "name": "Server Room is on Fire",
    "url": "https://teams.microsoft.com/l/meetup-join/19%3ameeting_TllZTMjMyZTk4NWMtMWUyYi00ZTRmLUtMzU2YTg0MTQzNjMz%40thread.v2/0"
  }
}
```

## Response 401

Caller did not supply credentials or did not provide the correct credentials.
If you are using an API key, it may be invalid or your Authorization header may be malformed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object | yes |  |
| `error.message` | string | yes | Error message string. Read-only. |

Example: Unauthorized

```json
{
  "error": {
    "message": "Unauthorized"
  }
}
```

## Response 403

Caller is not authorized to access the requested resource.
While the authentication is valid, the authenticated user does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object | yes |  |
| `error.message` | string | yes | Error message string. Read-only. |

Example: Forbidden

```json
{
  "error": {
    "message": "Forbidden"
  }
}
```

## Response 404

The requested resource was not found.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object | yes |  |
| `error.message` | string | yes | Error message string. Read-only. |

Example: Not Found

```json
{
  "error": {
    "message": "Not Found"
  }
}
```

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
